﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Globalization;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls.ScheduleView;
using Telerik.Windows.Controls;

namespace ScheduleViewerTest
{


	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{

		public MainWindow()
		{
			InitializeComponent();
			this.DataContext = new MyViewModel();
		
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			(this.DataContext as MyViewModel).Categories[0].CategoryBrush = Brushes.Green;
			(this.DataContext as MyViewModel).Categories[1].CategoryBrush = Brushes.Yellow;
		}

		
	}


	public class MyViewModel
	{
		public MyViewModel()
		{
			Appointments = new ObservableCollection<IAppointment>()
			{

				new Appointment(){Subject="April",Start =DateTime.Today,End =DateTime.Today.AddHours(4)},
			};
			Categories = new ObservableCollection<Category>()
			{

				new Category(){ CategoryBrush= Brushes.Red, CategoryName="Red"},
				new Category(){CategoryBrush= Brushes.Blue, CategoryName="Blue"}
			};
		}
		public ObservableCollection<IAppointment> Appointments
		{
			get;
			set;
		}

		public ObservableCollection<Category> Categories
		{
			get;
			set;
		}

	}
}
